package gov.va.med.edp.springframework.security.userdetails;

import org.springframework.security.userdetails.UserDetails;

public interface VistaUserDetails extends UserDetails {

    String getDuz();

    /**
     * Corresponds to .01 field in New Person file
     * @return
     */
    String getPersonName();

    String getDisplayName();

    String getGivenName();

    String getMiddleName();

    String getFamilyName();

    String getPrefix();

    String getSuffix();

    String getDegree();

    String getLoginStationNumber();

    String getSignonLogInternalEntryNumber();
}
